Bug 113610 - FILEOPEN: checkboxes disappear on roundtrip as xlsx
Summary: FILEOPEN: checkboxes disappear on roundtrip as xlsx
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords:
: 135987 141744 151235 (view as bug list)
Depends on:
Blocks: XLSX-Form-Controls
  Show dependency treegraph
 
Reported: 2017-11-02 19:40 UTC by Roeland
Modified: 2022-09-29 22:09 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roeland 2017-11-02 19:40:26 UTC
Description:
When creating checkboxes in LibreOffice, they disappear when saved in xlsx and reopened.



Steps to Reproduce:
1. Open a calc spreadsheet and create some checkboxes
2. save as xlsx
3. reopen and notice that the checkboxes are gone

Actual Results:  
Checkboxes disappeared

Expected Results:
Checkboxes are visible


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 raal 2017-11-02 20:00:50 UTC
I can confirm with LO 6 and 4.1
Comment 2 Florian 2018-03-01 07:54:44 UTC
The checkbox disappears in every case after reopening the XLSX file. I created the checkbox manually or received a file with a checkbox and it disappeared after saving the file and closing the LO calc 4.5 or 6.
Comment 3 Cor Nouws 2019-01-25 14:16:18 UTC
same in 3.3.0.4
Comment 4 m.a.riosv 2021-05-11 07:40:33 UTC
*** Bug 135987 has been marked as a duplicate of this bug. ***
Comment 5 m.a.riosv 2021-05-11 07:41:14 UTC
*** Bug 141744 has been marked as a duplicate of this bug. ***
Comment 6 Xisco Faulí 2021-05-11 07:43:55 UTC
*** Bug 142209 has been marked as a duplicate of this bug. ***
Comment 7 V Stuart Foote 2021-05-11 13:16:22 UTC
see also bug 106181 supposedly had fixed this [1][2], excpet for form  "Checkboxes that are not linked to cells" as in dupe bug 142209

@Justin?

=-ref-=
[1] https://gerrit.libreoffice.org/c/core/+/94161
[2] https://gerrit.libreoffice.org/c/core/+/113399
Comment 8 Justin L 2021-05-11 14:21:20 UTC
(In reply to V Stuart Foote from comment #7)
> see also bug 106181 supposedly had fixed this [1][2], excpet for form 
No - bug 106181 fixed export, but bug 106181 comment 15 says that Import should be handled in a separate ticket (and that ticket was marked as a duplicate of this one.)

So it sounds like no attempt has been made yet to import these checkboxes into xlsx.

P.S. My involvement so far was just to fix an implementation error in Serge's work. He or someone else would have to build the import logic. I'm just a bug fixer.
Comment 9 m.a.riosv 2022-09-29 21:40:36 UTC
*** Bug 151235 has been marked as a duplicate of this bug. ***